package org.RI.P1;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;

import org.apache.tika.exception.TikaException;
import org.apache.tika.metadata.*;
import org.apache.tika.parser.*;
import org.apache.tika.sax.BodyContentHandler;
import org.xml.sax.ContentHandler;
import org.xml.sax.SAXException;

public class File {
    private String filename;
    private String type;
    private String encoding;
    private String language;
    private InputStream inputStream;
    private Metadata metadata;
    private ContentHandler contentHandler;
    private ParseContext parseContext;
    private AutoDetectParser parser;

    File() {
    }

    File(String file) throws FileNotFoundException {
        inputStream = new FileInputStream(file);
        metadata = new Metadata();
        parser = new AutoDetectParser();
        contentHandler = new BodyContentHandler();
        parseContext = new ParseContext();
    }

    private void setAttributes() throws IOException, TikaException, SAXException {
        parser.parse(inputStream, contentHandler, metadata, parseContext);
        filename = metadata.get(TikaCoreProperties.TITLE);
        type = metadata.get(Metadata.CONTENT_TYPE);
        encoding = metadata.get(Metadata.CONTENT_ENCODING);
        language = metadata.get(Metadata.CONTENT_LANGUAGE);
    }

}
